Skip to main content
GET
/
v1
/
auth
/
google_ads
/
callback
Google Ads OAuth callback
curl --request GET \
  --url https://api.shareofmodel.ai/v1/auth/google_ads/callback \
  --header 'Authorization: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "platform": "google_ads",
  "credentials": "<unknown>",
  "status": "active"
}

Documentation Index

Fetch the complete documentation index at: https://docs.shareofmodel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

organization_id
string<uuid>
required

A UUID string identifying the organization.

workspace_id
string<uuid>
required

A UUID string identifying the workspace.

Response

The created platform integration

id
string<uuid>
required
read-only
name
string
required
Maximum string length: 255
workspace_id
string<uuid>
required
read-only
platform
enum<string>
required
  • google_ads - google ads
  • tiktok - tiktok
Available options:
google_ads,
tiktok
credentials
any
required
status
enum<string>
required
  • active - active
  • expired - expired
Available options:
active,
expired